import javax.swing.table.*;
import static java.lang.Math.*;
import java.io.*;
import javax.tools.*;

public class realtime2
{          
     public static void compileandrun(String fileName)
     {
	  try
	  {
      JavaCompiler javac = ToolProvider.getSystemJavaCompiler();
      int rc = javac.run(null,null,null,fileName);
      }
      catch(NullPointerException e1) {System.err.println("NULL POINTER");} 
     }    
     
     
     public static void main(String arg[])
     {
	 //String fileName=JOptionPane.showInputDialog("Enter file name (a.txt): ");
	 compileandrun("welcome.java");
	 welcome x=new welcome();	 
	 } 

}
